#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "importevents.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
    importevents *dlgImportEvents;
    void loadMenu();
    void displayGames();
    void populateGroupCombo();
    void populateRoundCombo();
    void populateEventCombo(QString sSport, QString sRegion);
    void populateTeamCombo();
    void populateSeasonCombo(QString sSport, QString sRegion, QString sEventName);
    void populateRegionCombo(QString sSport);
    void populateSportCombo();
    void showOnlineLeague(int sSelectedSoccerDBID);

    int iEventID;
    bool existDatabase();
    void showStandings();
public slots:
    void showImportEvents();
    void showAbout();


private slots:
    void on_cbGroups_activated(QString);
    void on_cbRounds_activated(QString);
    void on_cbEvents_activated(QString);
    void on_cbSport_activated(QString);
    void on_cbRegion_activated(QString);
    void on_cbSeason_activated(QString);
};

#endif // MAINWINDOW_H
